%define module   rtl8192eu
%define date     20200620
%define rel      1

Name:            dkms-%{module}
Version:         4.4.1
Release:         %mkrel 1.%{date}.%{rel}

Summary:         dkms package for %{module} driver
License:         GPLv2
Group:           System/Kernel and hardware
# git clone https://github.com/Mange/rtl8192eu-linux-driver
# cd rtl8192eu-linux-driver
# git archive --format tar.gz --prefix rtl8192eu-linux-driver/ -o ../rtl8192eu-linux-driver.tar.gz -v HEAD
Source0:         rtl8192eu-linux-driver.tar.gz
Source2:         dkms.conf
URL:             https://github.com/Mange/rtl8192eu-linux-driver
BuildArch:       noarch
Requires(post):  dkms
Requires(preun): dkms

%description
Realtek RTL8192EU Linux wireless driver source
 This package contains Realtek RTL8192EU USB Linux wireless driver
 for use with Realtek RTL8192EU hardware.

%prep
%setup -q -n rtl8192eu-linux-driver

%install
mkdir -p %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/
cp -R * %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/

install -m644 %{SOURCE2} -D %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf

%files
%dir %{_usrsrc}/%{module}-%{version}-%{release}
%{_usrsrc}/%{module}-%{version}-%{release}/core/*
%{_usrsrc}/%{module}-%{version}-%{release}/hal/*
%{_usrsrc}/%{module}-%{version}-%{release}/include/*
%{_usrsrc}/%{module}-%{version}-%{release}/os_dep/*
%{_usrsrc}/%{module}-%{version}-%{release}/platform/*
%{_usrsrc}/%{module}-%{version}-%{release}/Kconfig
%{_usrsrc}/%{module}-%{version}-%{release}/Makefile
%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf
%{_usrsrc}/%{module}-%{version}-%{release}/ifcfg-wlan0
%{_usrsrc}/%{module}-%{version}-%{release}/README.md
%attr(0755, root, root) %{_usrsrc}/%{module}-%{version}-%{release}/clean
%attr(0755, root, root) %{_usrsrc}/%{module}-%{version}-%{release}/runwpa
%attr(0755, root, root) %{_usrsrc}/%{module}-%{version}-%{release}/wlan0dhcp

%post -n dkms-%{module}
%{_sbindir}/dkms add -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms build -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms install -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
exit 0

%preun -n dkms-%{module}
%{_sbindir}/dkms remove -m %{module} -v %{version}-%{release} --rpm_safe_upgrade --all
exit 0



%changelog
* Wed Aug 12 2020 luigiwalser <luigiwalser> 4.4.1-1.20200620.1.mga7
+ Revision: 1613645
- update to 20200620 snapshot with kernel 5.8 support

* Tue Sep 18 2018 umeabot <umeabot> 4.3.1.1_11320.20140505-4.mga7
+ Revision: 1261666
- Mageia 7 Mass Rebuild

* Sat Feb 20 2016 umeabot <umeabot> 4.3.1.1_11320.20140505-3.mga6
+ Revision: 972457
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 philippem <philippem> 4.3.1.1_11320.20140505-2.mga6
+ Revision: 897996
- imported package dkms-rtl8192eu


* Sat May 30 2015 Philippe Makowski <philippem@mageia.org>
- Use full version string
- Clean spec

* Fri May 22 2015 Philippe Makowski <philippem@mageia.org>
- First Mageia version

* Mon Nov 10 2014 Maurizio Dal Magro <info@laptopke.be>
- Added "%%dir /usr/src/%%{module}-%%{version}-%%{release}" to remove during deinstallation.

* Sun Nov 9 2014 Maurizio Dal Magro <info@laptopke.be>
- Fix DKMS vermagic issue

* Sun Nov 2 2014 Maurizio Dal Magro <info@laptopke.be>
- First built
